org.eclnt.workplace

## Class WorkplaceTilePositionHint

- java.lang.Object
- - org.eclnt.workplace.WorkplaceTilePositionHint

- All Implemented Interfaces:
    java.io.Serializable

      public class WorkplaceTilePositionHint
      extends java.lang.Object
      implements java.io.Serializable

  Information about where to position a tile if created within the workplace. First a position is tried to be found using the "tile1" information - then the "null-tile" information is used.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `HINT_BOTTOM`
    `static java.lang.String` | `HINT_LEFT`
    `static java.lang.String` | `HINT_RIGHT`
    `static java.lang.String` | `HINT_TOP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkplaceTilePositionHint()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getId()` Id of the tile.
    `java.lang.String` | `getRelativeToNullTile()` Information where to position - relative to the "null-tile".
    `java.lang.String` | `getRelativeToTile1Id()`
    `java.lang.String` | `getRelativeToTile1Position()`
    `void` | `setId(java.lang.String id)`
    `void` | `setRelativeToNullTile(java.lang.String relativeToNullTile)`
    `void` | `setRelativeToTile1Id(java.lang.String relativeToTile1Id1)`
    `void` | `setRelativeToTile1Position(java.lang.String relativeToTile1Position1)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HINT_TOP

          public static final java.lang.String HINT_TOP

      See Also:
        Constant Field Values

    - #### HINT_BOTTOM

          public static final java.lang.String HINT_BOTTOM

      See Also:
        Constant Field Values

    - #### HINT_LEFT

          public static final java.lang.String HINT_LEFT

      See Also:
        Constant Field Values

    - #### HINT_RIGHT

          public static final java.lang.String HINT_RIGHT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### WorkplaceTilePositionHint

          public WorkplaceTilePositionHint()

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Id of the tile.

    - #### setId

          public void setId(java.lang.String id)

    - #### getRelativeToNullTile

          public java.lang.String getRelativeToNullTile()

      Information where to position - relative to the "null-tile".

    - #### setRelativeToNullTile

          public void setRelativeToNullTile(java.lang.String relativeToNullTile)

    - #### getRelativeToTile1Id

          public java.lang.String getRelativeToTile1Id()

    - #### setRelativeToTile1Id

          public void setRelativeToTile1Id(java.lang.String relativeToTile1Id1)

    - #### getRelativeToTile1Position

          public java.lang.String getRelativeToTile1Position()

    - #### setRelativeToTile1Position

          public void setRelativeToTile1Position(java.lang.String relativeToTile1Position1)

Copyright © CaptainCasa Gmbh. All Rights Reserved.